القنوات
GET
/api/v1/channel_archive_types تُعيد قائمة مقسَّمة إلى صفحات بالقنوات المرتبطة بنوع جهاز القياس.
معاملات الطلب
equipment_type_id integer معرّف نوع تكوين جهاز القياس الذي تُستخرَج القنوات وفقاً له.
page integer رقم الصفحة.
حقول الاستجابة
| السمة | الوصف |
|---|---|
equipment_type_id | معرّف نوع تكوين جهاز القياس (المفتاح الفريد) في النظام |
archive_type_name | اسم نوع الأرشيف |
archive_type_varname | رمز نوع الأرشيف |
telemetry_type_name | اسم نوع وحدة القياس عن بُعد |
channel_name | اسم القناة |
channel_varname | رمز القناة |
unit_name | وحدة القياس |
total_pages | العدد الإجمالي للصفحات في المجموعة المعادة |
current_page | الصفحة الحالية |
next_page | الصفحة التالية المتاحة للتحميل، وتكون null إذا كانت الصفحة الحالية هي الأخيرة |
الطلب
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/channel_archive_types?equipment_type_id=25&page=1"js
const res = await fetch(
'https://api.vadsro.eu/api/v1/channel_archive_types?equipment_type_id=25&page=1',
{
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
},
);
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/channel_archive_types",
params={"equipment_type_id": 25, "page": 1},
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/channel_archive_types?equipment_type_id=25&page=1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/channel_archive_types?equipment_type_id=25&page=1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);الاستجابة
json
{
"data": [
{
"equipment_type_id": 2,
"archive_type_name": "Daily readings archive",
"archive_type_varname": "daily",
"channel_name": "Average pressure",
"channel_varname": "P",
"unit_name": "kPa"
}
],
"total_pages": 4,
"current_page": 1,
"next_page": 2
} آخر تحديث في
هل كانت هذه الصفحة مفيدة؟
شكرًا على ملاحظاتك!
أنواع أجهزة القياس
السابق
التكوين
التالي